package com.kingdee.eas.custom.integration.apimgt;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class ApiCallLogFactory
{
    private ApiCallLogFactory()
    {
    }
    public static com.kingdee.eas.custom.integration.apimgt.IApiCallLog getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IApiCallLog)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("DEB44AF5") ,com.kingdee.eas.custom.integration.apimgt.IApiCallLog.class);
    }
    
    public static com.kingdee.eas.custom.integration.apimgt.IApiCallLog getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IApiCallLog)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("DEB44AF5") ,com.kingdee.eas.custom.integration.apimgt.IApiCallLog.class, objectCtx);
    }
    public static com.kingdee.eas.custom.integration.apimgt.IApiCallLog getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IApiCallLog)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("DEB44AF5"));
    }
    public static com.kingdee.eas.custom.integration.apimgt.IApiCallLog getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.integration.apimgt.IApiCallLog)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("DEB44AF5"));
    }
}